## org.gnu.gtk.event
Class MenuItemEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.MenuItemEvent

All Implemented Interfaces:
  java.io.Serializable

public class MenuItemEvent
extends GtkEvent

An event represeting action by a `MenuItem` widget.

See Also:
  `MenuItemListener`, `MenuItem`, Serialized Form

Nested Class Summary
`static class` `MenuItemEvent.Type`

Constructor Summary
`MenuItemEvent(java.lang.Object source)` Creates a new MenuItem Event.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuItemEvent

    public MenuItemEvent(java.lang.Object source)

  Creates a new MenuItem Event. This is used internally by java-gnome. Users only have to deal with listeners.